# audiogame-manager

Installer and launcher for Windows based audio games under wine for Linux.


## Usage

    ./audiogame-manager.sh -c

Check your system for components needed by the audiogame manager program.

    ./audiogame-manager.sh -h

Get usage instructions.

    ./audiogame-manager.sh -i

Select from a list of games to install.

With no arguments, the list of installed games will be displayed. In all the menus, both installer and launcher, use the up and down arrow keys to find the game you want. Press enter on the game to perform the action. For more detailed help, try the -h flag.


## Language and Keyboard

if you are using a language on your system other than English, you may need to temperarily change the keyboard layout while playing some games. To find out which keyboard layout you are currently using, run the following command:

    setxkbmap -print -verbose 10 | grep -m1 'layout:'

If the layout is not us, and if you are having some problems with keys not working, before you launch the game, run the following command to switch keyboard layout:

    setxkbmap us

When you are done with the game, switch back to your original layout so things will work as expected. The following example will switch your keyboard back to the Czech layout.

    setxkbmap cz


## Default Voice

Check help for flags and configuration file options.

    ./audiogame-manager.sh -h

Voice names used must exactly match the way they appear in the set-voice.sh menu. Here are a few examples.

- MSMike
- MSSam
- RHVoice
