export WINEARCH=win64
export winVer="win7"
get_installer "sideparty-win.zip" "https://masonasons.itch.io/sideparty"
download "https://github.com/RastislavKish/nvda2speechd/releases/download/v0.1/nvda2speechd64.dll" \
    "https://stormgames.wolfe.casa/downloads/SidePartySettings.dat"
install_wine_bottle
unzip -d "$WINEPREFIX/drive_c/Program Files/Side Party" "${cache}/sideparty-win.zip"
find "${WINEPREFIX}" -type f -name 'nvdaControllerClient64.dll' -exec cp -v "${cache}/nvda2speechd64.dll" "{}" \;
add_launcher "c:\Program Files\Side Party\SideParty.exe"
alert
sidePartyUser="$(dialog --ok-label "Continue" \
        --backtitle "Audiogame Manager" \
        --inputbox "Please enter a user name for Side Party score board:" -1 -1 --stdout)"
mkdir -p "$WINEPREFIX/drive_c/Program Files/Side Party/masonasons.me/SideParty"
cp -v "${cache}/SidePartySettings.dat" "$WINEPREFIX/drive_c/Program Files/Side Party/masonasons.me/SideParty/settings.dat"
if [[ ${#sidePartyUser} -gt 3 ]]; then
    sed -i "s/Anonymous/${sidePartyUser}/" "$WINEPREFIX/drive_c/Program Files/Side Party/masonasons.me/SideParty/settings.dat"
fi
